Skip to main content
POST

JSON Ledger API

Read the ledger’s filtered update stream for the specified contents and filters

OpenAPISince 3.4Changed 3.5
Read the ledger’s filtered update stream for the specified contents and filters. It returns the event types in accordance with the stream contents selected. Also the selection criteria for individual events depends on the transaction shape chosen. - ACS delta: a requesting party must be a stakeholder of an event for it to be included. - ledger effects: a requesting party must be a witness of an event for it to be included. Notice: This endpoint should b…

Protocol Details

Inputs

Query parameters

number
OpenAPI type: integer (int64).maximum number of elements to return, this param is ignored if is bigger than server setting
number
OpenAPI type: integer (int64).timeout to complete and send result if no new elements are received (for open ended streams)

Request body

application/json
number
required
OpenAPI type: integer (int64).Exclusive lower bound offset of the requested ledger section (non-negative integer). The response will only contain transactions whose offset is strictly greater than this. If set to zero, the lower bound is set to the beginning of the ledger. If the participant has been pruned, this parameter must be greater or equal than the pruning offset. Required
number
OpenAPI type: integer (int64).Inclusive higher bound offset of the requested ledger section. If specified the response will only contain transactions whose offset is less than or equal to this. If not specified, - the descending_order must not be selected, - the stream will not terminate. Optional
object
OpenAPI type: TransactionFilter.Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. Used both for filtering create and archive events as well as for filtering transaction trees.
boolean
Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. If enabled, values served over the API will contain more information than strictly necessary to interpret the data. In particular, setting the verbose flag to true triggers the ledger to include labels, record and variant type ids for record fields. Optional for backwards compatibility, if defined update_format must be unset
object
OpenAPI type: UpdateFormat.A format specifying what updates to include and how to render them.
boolean
If set, the stream will populate the elements in descending order. Optional

Outputs

200

application/json
JsGetUpdatesResponse[]
required

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Changed3.5

The POST /v2/updates operation changed in this snapshot.

Introduced3.4